Page MenuHomePhabricator

RFC: Update to Gerrit privilege policy
Closed, ResolvedPublic

Description

TechCom has drafted a new Gerrit privilege policy. this policy merges Gerrit/+2 and Gerrit/Project ownership with some changes.

Text of policy: https://www.mediawiki.org/wiki/User:Tim_Starling_(WMF)/Draft_Gerrit_privilege_policy

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 15 2019, 10:47 PM
kchapman moved this task from Inbox to Last Call on the TechCom-RFC board.Feb 15 2019, 10:49 PM

TechCom is placing this on Last Call ending 11pm PST (February 14 07:00 UTC, 08:00 CET) on 27 February 2019

Platonides updated the task description. (Show Details)Feb 15 2019, 10:54 PM
Tgr added a subscriber: Tgr.Feb 19 2019, 3:59 AM

From the talk page:

Putting that aside, the section on merging without code review feels particularly prescriptive; however, it makes the point towards the end:

For extensions (and other projects) not deployed to the Wikimedia cluster, the code review policy is up to the maintainer or author of the extension.

I think I would prefer if that were easier to glean from an inspectional reading of the policy rather than a close reading.

IMO that's a good point and should be addressed.

A special case that should maybe be adressed: Are there special policies for extensions that are not deployed by Wikimedia, but bundled with MediaWiki? T191741: Bundle Replace Text extension with MW 1.31 provides an example for this, where self-merges are forbidden as part of the process. (T191741#4179808)

EBjune awarded a token.Mar 1 2019, 4:28 PM
EBjune added a subscriber: EBjune.Mar 1 2019, 4:31 PM

I just want to thank TechCom and all of the contributors to the discussion for the deep consideration put into these revisions of the Gerrit privilege policy. Moving forward with these revisions will make our code healthier and more secure, and I greatly appreciate the well-documented code review guidelines that cover security, coding conventions, unit testing, localization, optimization and debugging considerations. Thank you!

kchapman edited projects, added TechCom-RFC (TechCom-Approved); removed TechCom-RFC.

TechCom approved this RFC on 2019-02-27

I think this should be explicitly announced on wikitech-l, and not just buried in a techcom update

In particular, automatic +2 for WMDE seems like a big change (I'm not opposed, just saying its a big change).

Aklapper added a comment.EditedMar 20 2019, 11:12 AM

What's left to do in this task, apart from answering T216295#4995706 ?

Slightly related: T218686: Create Gerrit Administrator right policy

I think this should be explicitly announced on wikitech-l, and not just buried in a techcom update

This has happened in https://lists.wikimedia.org/pipermail/wikitech-l/2019-March/091683.html

Krinkle added a subscriber: Krinkle.

The page now lives at https://www.mediawiki.org/wiki/Gerrit/Privilege_policy.

I believe @Aklapper questions were answered on Wikitech, but not 100% sure. Will ask Tim in today's meeting to confirm and to close accordingly.

tstarling closed this task as Resolved.Mar 20 2019, 8:42 PM
tstarling claimed this task.